All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::lookup_error Struct Reference

`#include <exception.hpp>`

Inheritance diagram for uhd::lookup_error:

## Public Member Functions

| lookup_error (const std::string &what)
virtual unsigned | code (void) const
virtual lookup_error * | dynamic_clone (void) const
virtual void | dynamic_throw (void) const
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Constructor & Destructor Documentation

uhd::lookup_error::lookup_error | ( | const std::string & | what | ) |

## Member Function Documentation

virtual unsigned uhd::lookup_error::code | ( | void |  | ) | const

virtual

Implements uhd::exception.

Reimplemented in uhd::key_error, and uhd::index_error.

virtual lookup_error* uhd::lookup_error::dynamic_clone | ( | void |  | ) | const

virtual

Implements uhd::exception.

Reimplemented in uhd::key_error, and uhd::index_error.

virtual void uhd::lookup_error::dynamic_throw | ( | void |  | ) | const

virtual

Implements uhd::exception.

Reimplemented in uhd::key_error, and uhd::index_error.

The documentation for this struct was generated from the following file:

- include/uhd/exception.hpp